Get Prime Wallet Withdrawal Details
curl --request GET \
--url https://api.openxswitch.com/v1/withdraw \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v1/withdraw"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v1/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "wd_001",
"workspaceId": "67804918f2b05ac82a129441",
"clientTxId": null,
"coin": "BTC",
"chain": "BTC",
"amount": 100,
"network": "Ethereum",
"fromAddress": "0xFromAddress001",
"toAddress": "0xToAddress001",
"hash": null,
"transactionLink": null,
"status": "success",
"networkFee": 1,
"tagMemo": null,
"confirmation": 0,
"confirmedAt": null,
"createdAt": null,
"walletId": "678a39d6b731ad1ad8832c8a"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Withdraw Endpoints
Get Prime Wallet Withdrawal Details
Retrieve withdrawal details of prime wallet with optional withdrawId.
GET
/
v1
/
withdraw
Get Prime Wallet Withdrawal Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the withdrawal
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)